@echo off
REM // ====================================================================
REM //
REM //   TS.Census Batch File
REM //
REM //   !!!IMPORTANT:   This file should be executed on a machine that has
REM //   SQL client utility osql.exe
REM //
REM // ====================================================================
REM
REM   (c) Copyright 2004 Tally Systems Corp.  All rights reserved.
REM
REM   This proprietary information is for use only under license from Tally Systems Corp.
REM
REM   !!!Four command line parameters are required: %1=TS.Census database DBO name
REM   !!!                                           %2=SQL Server name
REM   !!!                                           %3=TS.Census database name
REM   !!!                                           %4=TS.Census database DBO password
REM

if "%1" == "" goto param_err
if "%2" == "" goto param_err
if "%3" == "" goto param_err

Osql -U %1 -S %2 -d %3 -h-1 -n -i MSDB.sql -o MSDB.txt -P %4

goto the_end

:param_err
echo.
echo.
echo          ERROR: MSDB.bat requires four parameters
echo.
echo          MSDB.bat 1 2 3 4
echo.
echo           1=TS.Census database DBO name
echo           2=MS SQL Server name
echo           3=TS.Census database name
echo           4=TS.Census database DBO password
echo.
echo.
echo.
echo off
goto end

:the_end
echo. 
echo. 
echo          The output can be found in MSDB.txt
echo.
echo.
echo.
echo off

:end